package com.ruoyi.project.patrol.commonuse.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.commonuse.mapper.TCommonuseEarplugMapper;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseEarplug;
import com.ruoyi.project.patrol.commonuse.service.ITCommonuseEarplugService;

/**
 * 耳塞分配器检查记录Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TCommonuseEarplugServiceImpl implements ITCommonuseEarplugService 
{
    @Autowired
    private TCommonuseEarplugMapper tCommonuseEarplugMapper;

    /**
     * 查询耳塞分配器检查记录
     * 
     * @param id 耳塞分配器检查记录主键
     * @return 耳塞分配器检查记录
     */
    @Override
    public TCommonuseEarplug selectTCommonuseEarplugById(Long id)
    {
        return tCommonuseEarplugMapper.selectTCommonuseEarplugById(id);
    }

    /**
     * 查询耳塞分配器检查记录列表
     * 
     * @param tCommonuseEarplug 耳塞分配器检查记录
     * @return 耳塞分配器检查记录
     */
    @Override
    public List<TCommonuseEarplug> selectTCommonuseEarplugList(TCommonuseEarplug tCommonuseEarplug)
    {
        return tCommonuseEarplugMapper.selectTCommonuseEarplugList(tCommonuseEarplug);
    }

    /**
     * 新增耳塞分配器检查记录
     * 
     * @param tCommonuseEarplug 耳塞分配器检查记录
     * @return 结果
     */
    @Override
    public int insertTCommonuseEarplug(TCommonuseEarplug tCommonuseEarplug)
    {
        return tCommonuseEarplugMapper.insertTCommonuseEarplug(tCommonuseEarplug);
    }

    /**
     * 修改耳塞分配器检查记录
     * 
     * @param tCommonuseEarplug 耳塞分配器检查记录
     * @return 结果
     */
    @Override
    public int updateTCommonuseEarplug(TCommonuseEarplug tCommonuseEarplug)
    {
        return tCommonuseEarplugMapper.updateTCommonuseEarplug(tCommonuseEarplug);
    }

    /**
     * 批量删除耳塞分配器检查记录
     * 
     * @param ids 需要删除的耳塞分配器检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseEarplugByIds(Long[] ids)
    {
        return tCommonuseEarplugMapper.deleteTCommonuseEarplugByIds(ids);
    }

    /**
     * 删除耳塞分配器检查记录信息
     * 
     * @param id 耳塞分配器检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseEarplugById(Long id)
    {
        return tCommonuseEarplugMapper.deleteTCommonuseEarplugById(id);
    }
}
